GIMP woes in 20.04

From whatever I have tried so far. To make GIMP, GMI’C and Python plugins work together is almost impossible if we choose to install from Ubuntu Software.

I have tried asking at the Snapcraft forum. Thought it is something to discuss in a broader sense considering GIMP is the go-to Photoshop alternative for Ubuntu.

I have installed this on Ubuntu 20.04 with GIMP as a snap package. It worked fine but I had to take note to do a proper manual installation.
How did you try to install G’MIC?

GIMP-ML is a plug-in that uses ML to do interesting tasks. When you apply the plugin, it uses the GPU for the processing.

I tried to. But when I asked at those regular GIMP forums, I was told it is not possible to use G’MIC with Snap in 20.04. Even G’MIC said they " don’t know ".

You do not mention what steps you have tried to install G’MIC.

It looks to me that you just want help to install this plugin in GIMP, where GIMP has been packaged as a snap. For such a question, you ask first the snapcraft.io forum for help. Suggested title “Can you help me install G’MIC on the snap version of GIMP?”.

It is silly that such a simple question devolved into a mess on the other forum.

Perhaps English is not your first language.

Which means, I am told that it was not possible, no method exists to try. Considering there are no commands, store packages etc available, there is nothing there to try.

That is what people do ( and I did ). Ask on GIMP forums that how do you install G’MIC on 20.04 Snap.

plugins can go in ~/snap/gimp/252/.config/GIMP/2.10/plug-ins
If python (python2.7) then the shebang should be python, not python2
How well any python plugins work is questionable, most will load, some won’t.

If wishing some from gimp-plugin-registry package probably better to get from bionic or eoan packages…, (some are redundant, some won’t work for sure.

You installed GIMP as snap, did you try with GIMP install it as .deb?

Just in case any Gimp users stumble on this:

The very popular gimp_gmic_qt plugin does not work with the snap (or flatpak) Gimp installations. These are sandboxed and do not include QT support required by the plug-in.

The snap version also affects other Gimp operations. Photography for example, Gimp will open a RAW image using Rawtherapee (or Darktable) as an intermediary application. Once preliminary processing is done, the image is sent back to Gimp. Obviously does not work with a sandboxed snap application.

What does work in the snap is Gimp python support. Plug-ins such as resynthesizer / heal-selection.py will work. (That comment about the python shebang #!/usr/bin/env python No problem so far with linux but for a Windows portable Gimp 2.10.18 user, it did need to be #!/usr/bin/env python2 )

No need for the snap version? Gimp 2.10.18 is packaged in the repo. Easy to install, regular installation. If QT5 is installed then the gimp_gmic_qt plugin will work. There is a version for focal on the gmic site.
but
No gimp-python plugin, all those python 2.7 plug-ins no longer work. There are python 2.7 packages in the repo but until a suitable gimp-python package is added Gimp is crippled for many users.

Final comment about the gimp-plugin-registry package: 160 scripts / 24 plug-ins Some of these have not worked since Gimp 2.6 About time it was dumped.
However, want to try in the Gimp 2.10 snap then unpack the deb and put the files in the snap Gimp user profile.

1 Like

Since this thread has a high Google rating for this issue, I’ll post the solution that worked for me. Ubuntu 19.10’s gimp-python can be manually downloaded and installed into Ubuntu 20.04. One other completely missing missing package, python-gtk2, also needs downloading. All other dependencies can be installed normally from 20.04. No source fidelity problems since it’s all from Ubuntu. No forced installation to ignore missing dependencies. The python-dependent “Heal Selection” works, and unlike the flatpak version, GMIC QT works.

wget http://archive.ubuntu.com/ubuntu/pool/universe/p/pygtk/python-gtk2_2.24.0-6_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/g/gimp/gimp-python_2.10.8-2_amd64.deb

sudo apt install gimp gimp-plugin-registry gimp-gmic
sudo apt install python python-cairo python-gobject-2

sudo dpkg -i python-gtk2_2.24.0-6_amd64.deb
sudo dpkg -i gimp-python_2.10.8-2_amd64.deb
5 Likes

This works! Makes me very happy. Now I can use EZ Perspective (python script) again to correct architecture photos. Ubuntu 20.04, GIMP 2.10.18.

1 Like

that’s great, thanks a lot. I tried to rewrite some things in script-fu but all those brackets were driving me mad. it’s good to have python back!!

Killian